#!/bin/bash
if [ $# != 1 ] ; then
	echo "Usage: $0 <remote IP>"
	exit 1
fi
tmpfile=`mktemp`
. /rw2/etc/pbx/net.conf
FLAG=FALSE
DEST_IP=$1
while  [ "x$FLAG" != "xTRUE" ]  ; do
ping -c 5 -M do -s $(( $MTU - 28 )) $DEST_IP &> $tmpfile
if [ "`tail -n 2 $tmpfile | head -n 1 | awk '{print $6}'`" = "100%" ] ; then
	echo "Destination host does not accept ping!"
	exit 1
fi
if [ "x`grep -m 1 'Frag needed and DF set' $tmpfile`" != "x" ] ; then
	MTU=`grep -m 1 "Frag needed and DF set" $tmpfile | awk '{print $11}' | awk -F "\)" '{print $1}'`
else
	FLAG=TRUE
fi
done
echo $MTU
rm $tmpfile
